// Generated by gencpp from file hector_uav_msgs/AttitudeCommand.msg
// DO NOT EDIT!


#ifndef HECTOR_UAV_MSGS_MESSAGE_ATTITUDECOMMAND_H
#define HECTOR_UAV_MSGS_MESSAGE_ATTITUDECOMMAND_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <std_msgs/Header.h>

namespace hector_uav_msgs
{
template <class ContainerAllocator>
struct AttitudeCommand_
{
  typedef AttitudeCommand_<ContainerAllocator> Type;

  AttitudeCommand_()
    : header()
    , roll(0.0)
    , pitch(0.0)  {
    }
  AttitudeCommand_(const ContainerAllocator& _alloc)
    : header(_alloc)
    , roll(0.0)
    , pitch(0.0)  {
  (void)_alloc;
    }



   typedef  ::std_msgs::Header_<ContainerAllocator>  _header_type;
  _header_type header;

   typedef float _roll_type;
  _roll_type roll;

   typedef float _pitch_type;
  _pitch_type pitch;





  typedef boost::shared_ptr< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> const> ConstPtr;

}; // struct AttitudeCommand_

typedef ::hector_uav_msgs::AttitudeCommand_<std::allocator<void> > AttitudeCommand;

typedef boost::shared_ptr< ::hector_uav_msgs::AttitudeCommand > AttitudeCommandPtr;
typedef boost::shared_ptr< ::hector_uav_msgs::AttitudeCommand const> AttitudeCommandConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator1> & lhs, const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator2> & rhs)
{
  return lhs.header == rhs.header &&
    lhs.roll == rhs.roll &&
    lhs.pitch == rhs.pitch;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator1> & lhs, const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace hector_uav_msgs

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> const>
  : TrueType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
{
  static const char* value()
  {
    return "cceacd88dad80f3e3fd1466d24264ec6";
  }

  static const char* value(const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xcceacd88dad80f3eULL;
  static const uint64_t static_value2 = 0x3fd1466d24264ec6ULL;
};

template<class ContainerAllocator>
struct DataType< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
{
  static const char* value()
  {
    return "hector_uav_msgs/AttitudeCommand";
  }

  static const char* value(const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
{
  static const char* value()
  {
    return "Header header\n"
"float32 roll\n"
"float32 pitch\n"
"\n"
"================================================================================\n"
"MSG: std_msgs/Header\n"
"# Standard metadata for higher-level stamped data types.\n"
"# This is generally used to communicate timestamped data \n"
"# in a particular coordinate frame.\n"
"# \n"
"# sequence ID: consecutively increasing ID \n"
"uint32 seq\n"
"#Two-integer timestamp that is expressed as:\n"
"# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')\n"
"# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')\n"
"# time-handling sugar is provided by the client library\n"
"time stamp\n"
"#Frame this data is associated with\n"
"string frame_id\n"
;
  }

  static const char* value(const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.header);
      stream.next(m.roll);
      stream.next(m.pitch);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct AttitudeCommand_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::hector_uav_msgs::AttitudeCommand_<ContainerAllocator>& v)
  {
    s << indent << "header: ";
    s << std::endl;
    Printer< ::std_msgs::Header_<ContainerAllocator> >::stream(s, indent + "  ", v.header);
    s << indent << "roll: ";
    Printer<float>::stream(s, indent + "  ", v.roll);
    s << indent << "pitch: ";
    Printer<float>::stream(s, indent + "  ", v.pitch);
  }
};

} // namespace message_operations
} // namespace ros

#endif // HECTOR_UAV_MSGS_MESSAGE_ATTITUDECOMMAND_H
